This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 698802 - Oracle 11g service script for cluster suite
Oracle 11g service script for cluster suite
Status: CLOSED DUPLICATE of bug 670024
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-21 16:19 EDT by Matt Rogers
Modified: 2016-04-26 12:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 09:41:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 25970 None None None Never

  None (edit)
Description Matt Rogers 2011-04-21 16:19:38 EDT
Description of problem:

Cluster suite does not ship with a service script for starting/stopping an Oracle 11g database. A few changes to the provided /usr/share/cluster/oracledb.sh script works, however, and has been confirmed by a customer.

--- oracledb.sh 2011-04-21 18:16:15.000000000 -0400
+++ oracle11.sh 2011-04-21 18:21:26.000000000 -0400
@@ -91,7 +91,7 @@ declare SCRIPTDIR="`dirname $0`"
 #
 # 5. Type of Oracle Database.  Currently supported: 10g 10g-iAS(untested!)
 #
-[ -n "$ORACLE_TYPE" ] || ORACLE_TYPE="base-em"
+[ -n "$ORACLE_TYPE" ] || ORACLE_TYPE="base"
 
 #
 # 6. Oracle virtual hostname.  This is the hostname you gave Oracle during
@@ -739,7 +739,7 @@ validation_checks()
 #
 start_oracle()
 {
-       faction "Starting Oracle Database:" start_db || return 1
+       faction "Starting Oracle Database:" dbstart || return 1
        action "Starting Oracle Listener:" lsnrctl start $ORACLE_LISTENER || return 1
 
        if [ "$ORACLE_TYPE" = "base-em" ]; then
@@ -776,7 +776,7 @@ stop_oracle()
                action "Stopping Oracle EM:" emctl stop em || return 1
        fi
 
-       faction "Stopping Oracle Database:" stop_db || return 1
+       faction "Stopping Oracle Database:" dbshut || return 1
        action "Stopping Oracle Listener:" lsnrctl stop $ORACLE_LISTENER
        faction "Waiting for all Oracle processes to exit:" exit_idle 
 
------------

There are also the home and hostname variables that were changed to match the instance

#[ -n "$ORACLE_HOME" ] || ORACLE_HOME=/mnt/oracle/home
#[ -n "$ORACLE_HOSTNAME" ] || ORACLE_HOSTNAME=svc0.foo.test.com

The version information for the DB this was confirmed on is 11.1.0.7.0 I believe.
Comment 1 Lon Hohberger 2011-06-01 09:41:44 EDT

*** This bug has been marked as a duplicate of bug 670024 ***

Note You need to log in before you can comment on or make changes to this bug.